CVE-2006-0102
CVSS4.3
发布时间 :2006-01-06 06:03:00
修订时间 :2011-03-07 21:29:20
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in TinyPHPForum (TPF) 3.6 and earlier allows remote attackers to inject arbitrary web script via a javascript: scheme in an "[a]" bbcode tag, possibly the txt parameter to action.php.


[CNNVD]TinyPHPForum 跨站脚本攻击漏洞(CNNVD-200601-039)

        TinyPHPForum (TPF) 3.6及更早版本中存在跨站脚本攻击(漏洞,远程攻击者可以通过javascript:"[a]"bbcode标记中的架构(可能是action.php的txt参数)注入任意Web脚本。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ralph_capper:tinyphpforum:3.6
cpe:/a:ralph_capper:tinyphpforum:3.499
cpe:/a:ralph_capper:tinyphpforum:3.46
cpe:/a:ralph_capper:tinyphpforum:3.49
cpe:/a:ralph_capper:tinyphpforum:3.48
cpe:/a:ralph_capper:tinyphpforum:3.5
cpe:/a:ralph_capper:tinyphpforum:3.47

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0102
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0102
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-039
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0054
(UNKNOWN)  VUPEN  ADV-2006-0054
http://www.securityfocus.com/archive/1/archive/1/420933/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060105 [eVuln] TinyPHPForum Multiple Vulnerabilities
http://www.osvdb.org/22256
(UNKNOWN)  OSVDB  22256
http://securitytracker.com/id?1015436
(UNKNOWN)  SECTRACK  1015436
http://secunia.com/advisories/18293
(VENDOR_ADVISORY)  SECUNIA  18293
http://evuln.com/vulns/14/summary.html
(VENDOR_ADVISORY)  MISC  http://evuln.com/vulns/14/summary.html
http://securityreason.com/securityalert/320
(UNKNOWN)  SREASON  320

- 漏洞信息

TinyPHPForum 跨站脚本攻击漏洞
中危 跨站脚本
2006-01-06 00:00:00 2006-05-11 00:00:00
远程  
        TinyPHPForum (TPF) 3.6及更早版本中存在跨站脚本攻击(漏洞,远程攻击者可以通过javascript:"[a]"bbcode标记中的架构(可能是action.php的txt参数)注入任意Web脚本。

- 公告与补丁

        

- 漏洞信息

22256
TinyPHPForum action.php txt Parameter XSS
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Integrity Discontinued Product
Exploit Public

- 漏洞描述

TinyPHPForum contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'txt' variable upon submission to the 'action.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-01-05 Unknow
2006-01-05 Unknow

- 解决方案

The vendor has discontinued this product and therefore has no patch or upgrade that mitigates this problem. It is recommended that an alternate software package be used in its place.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站